// Machine generated IDispatch driver class(es) created with ClassWizard.

/////////////////////////////////////////////////////////////////////////////
// CAcroApp wrapper class

#ifndef _ACROBAT_H
#define _ACROBAT_H

class CAcroApp : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	BOOL Exit();
	BOOL Hide();
	BOOL Show();
	BOOL CloseAllDocs();
	BOOL MenuItemExecute(const char* szMenuItemName);
	CString GetActiveTool();
	BOOL SetActiveTool(const char* szButtonName, BOOL bPersistent);
	BOOL ToolButtonRemove(const char* szButtonName);
	BOOL ToolButtonIsEnabled(const char* szButtonName);
	BOOL MenuItemRemove(const char* szMenuItemName);
	BOOL MenuItemIsEnabled(const char* szMenuItemName);
	BOOL MenuItemIsMarked(const char* szMenuItemName);
	long GetNumAVDocs();
	LPDISPATCH GetAVDoc(long nIndex);
	LPDISPATCH GetActiveDoc();
	CString GetLanguage();
	BOOL Lock(const char* szLockedBy);
	BOOL Unlock();
	BOOL SetPreference(short nType, long nValue);
	long GetPreference(short nType);
	BOOL Maximize();
	BOOL SetFrame(LPDISPATCH iAcroRect);
	LPDISPATCH GetFrame();
};

/////////////////////////////////////////////////////////////////////////////
// CAcroPDDoc wrapper class

class CAcroPDDoc : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	BOOL Open(const char* szFullPath);
	BOOL Close();
	BOOL InsertPages(long nInsertPageAfter, LPDISPATCH iPDDocSource, long nStartPage, long nNumPages, BOOL bBookmarks);
	BOOL ReplacePages(long nStartPage, LPDISPATCH iPDDocSource, long nStartSourcePage, long nNumPages, BOOL bMergeTextAnnotations);
	BOOL DeletePages(long nStartPage, long nEndPage);
	long GetNumPages();
	BOOL Create();
	CString GetInfo(const char* szInfoKey);
	BOOL SetInfo(const char* szInfoKey, const char* szBuffer);
	BOOL DeleteThumbs(long nStartPage, long nEndPage);
	BOOL MovePage(long nMoveAfterThisPage, long nPageToMove);
	CString GetFileName();
	long GetPageMode();
	BOOL SetPageMode(long nPageMode);
	BOOL CreateThumbs(long nFirstPage, long nLastPage);
	LPDISPATCH CreateTextSelect(long nPage, LPDISPATCH iAcroRect);
	LPDISPATCH AcquirePage(long nPage);
	CString GetInstanceID();
	CString GetPermanentID();
	long GetFlags();
	BOOL SetFlags(long nFlags);
	LPDISPATCH OpenAVDoc(const char* szTempTitle);
	BOOL Save(short nType, const char* szFullPath);
};

/////////////////////////////////////////////////////////////////////////////
// CAcroAVDoc wrapper class

class CAcroAVDoc : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	BOOL Open(const char* szFullPath, const char* szTempTitle);
	LPDISPATCH GetPDDoc();
	LPDISPATCH GetAVPageView();
	BOOL SetViewMode(long nType);
	BOOL FindText(const char* szText, BOOL bCaseSensitive, BOOL bWholeWordsOnly, BOOL bReset);
	BOOL Close(BOOL bNoSave);
	long GetViewMode();
	BOOL PrintPages(long nFirstPage, long nLastPage, long nPSLevel, BOOL bBinaryOk, BOOL bShrinkToFit);
	BOOL ClearSelection();
	BOOL BringToFront();
	CString GetTitle();
	BOOL Maximize(BOOL bMaxSize);
	BOOL SetTitle(const char* szTitle);
	BOOL OpenInWindow(const char* szFullPath, short hWnd);
	BOOL SetTextSelection(LPDISPATCH iAcroPDTextSelect);
	BOOL ShowTextSelect();
	BOOL SetFrame(LPDISPATCH iAcroRect);
	LPDISPATCH GetFrame();
	BOOL IsValid();
};

/////////////////////////////////////////////////////////////////////////////
// CAcroAVPageView wrapper class

class CAcroAVPageView : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	BOOL GoTo(long nPage);
	BOOL ZoomTo(short nType, short nScale);
	BOOL ScrollTo(short nX, short nY);
	BOOL ReadPageUp();
	BOOL ReadPageDown();
	BOOL DoGoBack();
	BOOL DoGoForward();
	LPDISPATCH GetAVDoc();
	LPDISPATCH GetPage();
	LPDISPATCH GetDoc();
	long GetZoom();
	short GetZoomType();
	long GetPageNum();
	LPDISPATCH PointToDevice(LPDISPATCH iAcroPoint);
	LPDISPATCH DevicePointToPage(LPDISPATCH iAcroPoint);
};

/////////////////////////////////////////////////////////////////////////////
// CAcroPDPage wrapper class

class CAcroPDPage : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	LPDISPATCH GetSize();
	LPDISPATCH GetAnnot(long nIndex);
	LPDISPATCH AddNewAnnot(long nIndexAddAfter, const char* szSubType, LPDISPATCH iAcroRect);
	BOOL AddAnnot(long nIndexAddAfter, LPDISPATCH i);
	BOOL RemoveAnnot(long nIndex);
	long GetAnnotIndex(LPDISPATCH i);
	long GetNumAnnots();
	LPDISPATCH CreatePageHilite(LPDISPATCH iAcroHiliteList);
	LPDISPATCH CreateWordHilite(LPDISPATCH iAcroHiliteList);
	LPDISPATCH GetDoc();
	long GetNumber();
	BOOL Draw(short nHWND, short nHDC, short nXOrigin, short nYOrigin, short nZoom);
	short GetRotate();
	BOOL SetRotate(short nRotate);
};

/////////////////////////////////////////////////////////////////////////////
// CAcroPDAnnot wrapper class

class CAcroPDAnnot : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	BOOL IsValid();
	CString GetSubtype();
	BOOL IsEqual(LPDISPATCH PDAnnot);
	long GetColor();
	BOOL SetColor(long nRGBColor);
	CString GetTitle();
	BOOL SetTitle(const char* szTitle);
	CString GetContents();
	BOOL SetContents(const char* szContents);
	BOOL IsOpen();
	BOOL SetOpen(BOOL bIsOpen);
	LPDISPATCH GetRect();
	BOOL SetRect(LPDISPATCH iAcroRect);
	LPDISPATCH GetDate();
	BOOL SetDate(LPDISPATCH iAcroTime);
	BOOL Perform(LPDISPATCH iAcroAVDoc);
};

/////////////////////////////////////////////////////////////////////////////
// CAcroPoint wrapper class

class CAcroPoint : public COleDispatchDriver
{
// Attributes
public:
	short GetX();
	void SetX(short);
	short GetY();
	void SetY(short);

// Operations
public:
};

/////////////////////////////////////////////////////////////////////////////
// CAcroRect wrapper class

class CAcroRect : public COleDispatchDriver
{
// Attributes
public:
	short GetLeft();
	void SetLeft(short);
	short GetTop();
	void SetTop(short);
	short GetRight();
	void SetRight(short);
	short GetBottom();
	void SetBottom(short);

// Operations
public:
};

/////////////////////////////////////////////////////////////////////////////
// CAcroTime wrapper class

class CAcroTime : public COleDispatchDriver
{
// Attributes
public:
	short GetYear();
	void SetYear(short);
	short GetMonth();
	void SetMonth(short);
	short GetDate();
	void SetDate(short);
	short GetHour();
	void SetHour(short);
	short GetMinute();
	void SetMinute(short);
	short GetSecond();
	void SetSecond(short);
	short GetMillisecond();
	void SetMillisecond(short);
	short GetDay();
	void SetDay(short);

// Operations
public:
};

/////////////////////////////////////////////////////////////////////////////
// CAcroPDTextSelect wrapper class

class CAcroPDTextSelect : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	BOOL Destroy();
	long GetNumText();
	LPDISPATCH GetBoundingRect();
	long GetPage();
	CString GetText(long nTextIndex);
};

/////////////////////////////////////////////////////////////////////////////
// CAcroHiliteList wrapper class

class CAcroHiliteList : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	BOOL Add(short nOffset, short nLength);
};

/////////////////////////////////////////////////////////////////////////////
// CAcroPDBookmark wrapper class

class CAcroPDBookmark : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	BOOL GetByTitle(LPDISPATCH iAcroPDDoc, const char* szBookmarkTitle);
	BOOL Destroy();
	BOOL IsValid();
	CString GetTitle();
	BOOL SetTitle(const char* szNewTitle);
	BOOL Perform(LPDISPATCH iAcroAVDoc);
};

#endif    // _ACROBAT_H